package com.bootdo.datas.dao;


import com.bootdo.datas.dto.DateAndCountDTO;
import com.bootdo.datas.dto.MapDataDTO;
import com.bootdo.datas.dto.NameAndValueDTO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * 重要数据表
 * @author admin
 * @email admin@163.com
 * @date 2022-03-06 10:37:54
 */
@Mapper
public interface DataDao {

	/**
	 * ]
	 * 获取地图数据
	 *
	 * @return
	 */
	List<MapDataDTO> mapDataList(@Param("dataLevel") String dataLevel,@Param("auditStage") String auditStage);

	/**
	 * 上报数据趋势统计
	 *
	 * @return
	 */
    List<DateAndCountDTO> trendData(@Param("city") String city,@Param("auditStage") String auditStage);

    /**
     * 所属行业子类统计
     *
     * @param city
     * @return
     */
    List<NameAndValueDTO> industryData(@Param("city") String city,@Param("auditStage") String auditStage);


    /**
     * 数据级别 统计
     *
     * @param city
     * @param dataLevel
     * @return
     */
    List<DateAndCountDTO> dataLevelData(@Param("city") String city,
                                        @Param("dataLevel") String dataLevel,
										@Param("auditStage") String auditStage);

	/**
	 * 计算审核通过率
	 *
	 * @param city
	 * @return
	 */
	Double dataAuditData(@Param("city") String city,@Param("auditStage") String auditStage);

	/**
	 * 统计数据所属分类
	 *
	 * @return
	 */
	List<NameAndValueDTO> dataCategoryData(@Param("city") String city);


}
