package com.bootdo.datas.domain;



import java.io.Serializable;
import java.util.Date;

public class GyDataDO implements Serializable {

    private static final long serialVersionUID = 1L;

    private Long id;

    /**
     * 数据名称
     */
    private String dataName;

    /**
     * 数据分级分类依据
     */
    private String dataTypeBase;

    /**
     * 数据根类别
     */
    private String dataTypeRoot;

    /**
     * 数据一级类别
     */
    private String dataTypeOne;
    /**
     * 数组二级类别
     */
    private String dataTypeTwo;

    /**
     * 数据三级类别
     */
    private String dataTypeThree;

    /**
     * 数组四级类别
     */
    private String dataTypeFour;

    /**
     * 数据级别:01核心数据 02 重要数据
     */
    private String dataLevel;

    /**
     * 数据载体
     */
    private String dataCarrier;

    /**
     * 数据来源
     */
    private String dataSource;

    /**
     * 数据数量-非电子数据
     */
    private Integer dataNum;

    /**
     * 数据数量-电子数据
     */
    private Double dataNumGb;

    /**
     * 覆盖类型
     */
    private String dataScope;

    /**
     * 覆盖占比
     */
    private String dataProportion;

    /**
     * 数据精度
     */
    private String dataPrecision;

    /**
     * 数据精度描述
     */
    private String dataPrecisionDes;

    /**
     * 数据处理方式
     */
    private String dataHandleType;

    /**
     * 数据目的
     */
    private String dataResult;

    /**
     * 是否涉及算法处理
     */
    private String isAlgorithmHandle;

    /**
     * 数据是否出境
     */
    private String isCross;

    /**
     * 数据跨境接收方名称
     */
    private String crossAcceptName;

    /**
     * 数据出境目的
     */
    private String dataCrossResult;

    /**
     * 数据出境方式
     */
    private String dataCrossType;

    /**
     * 数据出境加密情况
     */
    private String isCrossEncrypt;

    /**
     * 是否开展数据出境安全评估
     */
    private String isSecurityAss;

    /**
     * 数据出境安全评估结果
     */
    private String assessResult;

    /**
     * 整改措施
     */
    private String reorganize;

    /**
     * 是否经网信部门审批
     */
    private String isApproval;

    /**
     * 数据是否对外共享
     */
    private String isCrossMain;

    /**
     * 数据跨主体流动接收方
     */
    private String crossmainAcceptName;

    /**
     * 数据跨主体流动目的
     */
    private String dataCrossmainResult;

    /**
     * 数据跨主体流动方式
     */
    private String dataCrossmainType;

    /**
     * 是否涉及数据跨主体流动
     */
    private String isCrossmainFlow;

    /**
     * 是否涉外数据
     */
    private String isForeignData;

    /**
     * 过去一年跨主体流动数量（单位：GB）
     */
    private String crossmainNum;

    /**
     * 信息系统名称
     */
    private String infoSystemName;

    /**
     * 信息系统类型
     */
    private String infoSystemType;

    /**
     * 信息系统ip地址
     */
    private String infoSystemIpAddress;

    /**
     * 信息系统域名
     */
    private String infoSystemDomainName;

    /**
     * 信息系统主要功能描述
     */
    private String infoSystemDes;

    /**
     * 数据加密存储情况
     */
    private String infoSystemEncrypt;

    /**
     * 网络安全等级保护认定情况
     */
    private String securityCognizance;

    /**
     * 通信网络安全等级防护定级备案情况
     */
    private String comSecurityCognizance;

    /**
     * 是否为关键信息基础设施
     */
    private String isKetSystem;

    /**
     * 是否开展重要数据安全风险评估
     */
    private String isKeydataAss;

    /**
     * 评估机构
     */
    private String assessOrg;

    /**
     * 评估依据的规范
     */
    private String assessBase;

    /**
     * 评估时间
     */
    private String assessTime;

    /**
     * 重要数据安全风险评估结论
     */
    private String dataAssessResult;

    /**
     * 整改措施及整改情况
     */
    private String securityReorganize;

    /**
     * 状态 0:正常 1:删除 2:已上报 3:通过审核 4:驳回
     */
    private String dataStatus;

    /**
     * 上传时间
     */
    private Date uploadTime;

    /**
     * 修改时间
     */
    private Date updateTime;

    /**
     * 填报部门ID
     */
    private String gyUnitId;

    /**
     * 联合审批部门ID
     */
    private Long nextVerifyDept;

    /**
     * 审核阶段, 1市级，2省级
     */
    private String auditStage;

    /**
     * 送审状态:默认未送审 0 已送审：1 专家审核：2
     */
    private String sendVerify;

    /**
     * 0 未删除 1已删除
     */
    private String deleteStatus;

    /**
     * 备注
     */
    private String dataDesc;

    /**
     * 审核部门ID
     */
    private Long roleId;

    public String getAuditStage() {
        return auditStage;
    }

    public void setAuditStage(String auditStage) {
        this.auditStage = auditStage;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getDataName() {
        return dataName;
    }

    public void setDataName(String dataName) {
        this.dataName = dataName;
    }

    public String getDataTypeRoot() {
        return dataTypeRoot;
    }

    public void setDataTypeRoot(String dataTypeRoot) {
        this.dataTypeRoot = dataTypeRoot;
    }

    public String getDataTypeBase() {
        return dataTypeBase;
    }

    public void setDataTypeBase(String dataTypeBase) {
        this.dataTypeBase = dataTypeBase;
    }

    public String getDataTypeOne() {
        return dataTypeOne;
    }

    public void setDataTypeOne(String dataTypeOne) {
        this.dataTypeOne = dataTypeOne;
    }

    public String getDataTypeTwo() {
        return dataTypeTwo;
    }

    public void setDataTypeTwo(String dataTypeTwo) {
        this.dataTypeTwo = dataTypeTwo;
    }

    public String getDataTypeThree() {
        return dataTypeThree;
    }

    public void setDataTypeThree(String dataTypeThree) {
        this.dataTypeThree = dataTypeThree;
    }

    public String getDataTypeFour() {
        return dataTypeFour;
    }

    public void setDataTypeFour(String dataTypeFour) {
        this.dataTypeFour = dataTypeFour;
    }

    public String getDataLevel() {
        return dataLevel;
    }

    public void setDataLevel(String dataLevel) {
        this.dataLevel = dataLevel;
    }

    public String getDataCarrier() {
        return dataCarrier;
    }

    public void setDataCarrier(String dataCarrier) {
        this.dataCarrier = dataCarrier;
    }

    public String getDataSource() {
        return dataSource;
    }

    public void setDataSource(String dataSource) {
        this.dataSource = dataSource;
    }

    public Integer getDataNum() {
        return dataNum;
    }

    public void setDataNum(Integer dataNum) {
        this.dataNum = dataNum;
    }

    public Double getDataNumGb() {
        return dataNumGb;
    }

    public void setDataNumGb(Double dataNumGb) {
        this.dataNumGb = dataNumGb;
    }

    public String getDataScope() {
        return dataScope;
    }

    public void setDataScope(String dataScope) {
        this.dataScope = dataScope;
    }

    public String getDataProportion() {
        return dataProportion;
    }

    public void setDataProportion(String dataProportion) {
        this.dataProportion = dataProportion;
    }

    public String getDataPrecision() {
        return dataPrecision;
    }

    public void setDataPrecision(String dataPrecision) {
        this.dataPrecision = dataPrecision;
    }

    public String getDataPrecisionDes() {
        return dataPrecisionDes;
    }

    public void setDataPrecisionDes(String dataPrecisionDes) {
        this.dataPrecisionDes = dataPrecisionDes;
    }

    public String getDataHandleType() {
        return dataHandleType;
    }

    public void setDataHandleType(String dataHandleType) {
        this.dataHandleType = dataHandleType;
    }

    public String getDataResult() {
        return dataResult;
    }

    public void setDataResult(String dataResult) {
        this.dataResult = dataResult;
    }

    public String getIsAlgorithmHandle() {
        return isAlgorithmHandle;
    }

    public void setIsAlgorithmHandle(String isAlgorithmHandle) {
        this.isAlgorithmHandle = isAlgorithmHandle;
    }

    public String getIsCross() {
        return isCross;
    }

    public void setIsCross(String isCross) {
        this.isCross = isCross;
    }

    public String getCrossAcceptName() {
        return crossAcceptName;
    }

    public void setCrossAcceptName(String crossAcceptName) {
        this.crossAcceptName = crossAcceptName;
    }

    public String getDataCrossResult() {
        return dataCrossResult;
    }

    public void setDataCrossResult(String dataCrossResult) {
        this.dataCrossResult = dataCrossResult;
    }

    public String getDataCrossType() {
        return dataCrossType;
    }

    public void setDataCrossType(String dataCrossType) {
        this.dataCrossType = dataCrossType;
    }

    public String getIsCrossEncrypt() {
        return isCrossEncrypt;
    }

    public void setIsCrossEncrypt(String isCrossEncrypt) {
        this.isCrossEncrypt = isCrossEncrypt;
    }

    public String getIsSecurityAss() {
        return isSecurityAss;
    }

    public void setIsSecurityAss(String isSecurityAss) {
        this.isSecurityAss = isSecurityAss;
    }

    public String getAssessResult() {
        return assessResult;
    }

    public void setAssessResult(String assessResult) {
        this.assessResult = assessResult;
    }

    public String getReorganize() {
        return reorganize;
    }

    public void setReorganize(String reorganize) {
        this.reorganize = reorganize;
    }

    public String getIsApproval() {
        return isApproval;
    }

    public void setIsApproval(String isApproval) {
        this.isApproval = isApproval;
    }

    public String getIsCrossMain() {
        return isCrossMain;
    }

    public void setIsCrossMain(String isCrossMain) {
        this.isCrossMain = isCrossMain;
    }

    public String getCrossmainAcceptName() {
        return crossmainAcceptName;
    }

    public void setCrossmainAcceptName(String crossmainAcceptName) {
        this.crossmainAcceptName = crossmainAcceptName;
    }

    public String getDataCrossmainResult() {
        return dataCrossmainResult;
    }

    public void setDataCrossmainResult(String dataCrossmainResult) {
        this.dataCrossmainResult = dataCrossmainResult;
    }

    public String getDataCrossmainType() {
        return dataCrossmainType;
    }

    public void setDataCrossmainType(String dataCrossmainType) {
        this.dataCrossmainType = dataCrossmainType;
    }

    public String getIsCrossmainFlow() {
        return isCrossmainFlow;
    }

    public void setIsCrossmainFlow(String isCrossmainFlow) {
        this.isCrossmainFlow = isCrossmainFlow;
    }

    public String getIsForeignData() {
        return isForeignData;
    }

    public void setIsForeignData(String isForeignData) {
        this.isForeignData = isForeignData;
    }

    public String getCrossmainNum() {
        return crossmainNum;
    }

    public void setCrossmainNum(String crossmainNum) {
        this.crossmainNum = crossmainNum;
    }

    public String getInfoSystemName() {
        return infoSystemName;
    }

    public void setInfoSystemName(String infoSystemName) {
        this.infoSystemName = infoSystemName;
    }

    public String getInfoSystemType() {
        return infoSystemType;
    }

    public void setInfoSystemType(String infoSystemType) {
        this.infoSystemType = infoSystemType;
    }

    public String getInfoSystemIpAddress() {
        return infoSystemIpAddress;
    }

    public void setInfoSystemIpAddress(String infoSystemIpAddress) {
        this.infoSystemIpAddress = infoSystemIpAddress;
    }

    public String getInfoSystemDomainName() {
        return infoSystemDomainName;
    }

    public void setInfoSystemDomainName(String infoSystemDomainName) {
        this.infoSystemDomainName = infoSystemDomainName;
    }

    public String getInfoSystemDes() {
        return infoSystemDes;
    }

    public void setInfoSystemDes(String infoSystemDes) {
        this.infoSystemDes = infoSystemDes;
    }

    public String getInfoSystemEncrypt() {
        return infoSystemEncrypt;
    }

    public void setInfoSystemEncrypt(String infoSystemEncrypt) {
        this.infoSystemEncrypt = infoSystemEncrypt;
    }

    public String getSecurityCognizance() {
        return securityCognizance;
    }

    public void setSecurityCognizance(String securityCognizance) {
        this.securityCognizance = securityCognizance;
    }

    public String getComSecurityCognizance() {
        return comSecurityCognizance;
    }

    public void setComSecurityCognizance(String comSecurityCognizance) {
        this.comSecurityCognizance = comSecurityCognizance;
    }

    public String getIsKetSystem() {
        return isKetSystem;
    }

    public void setIsKetSystem(String isKetSystem) {
        this.isKetSystem = isKetSystem;
    }

    public String getIsKeydataAss() {
        return isKeydataAss;
    }

    public void setIsKeydataAss(String isKeydataAss) {
        this.isKeydataAss = isKeydataAss;
    }

    public String getAssessOrg() {
        return assessOrg;
    }

    public void setAssessOrg(String assessOrg) {
        this.assessOrg = assessOrg;
    }

    public String getAssessBase() {
        return assessBase;
    }

    public void setAssessBase(String assessBase) {
        this.assessBase = assessBase;
    }

    public String getAssessTime() {
        return assessTime;
    }

    public void setAssessTime(String assessTime) {
        this.assessTime = assessTime;
    }

    public String getDataAssessResult() {
        return dataAssessResult;
    }

    public void setDataAssessResult(String dataAssessResult) {
        this.dataAssessResult = dataAssessResult;
    }

    public String getSecurityReorganize() {
        return securityReorganize;
    }

    public void setSecurityReorganize(String securityReorganize) {
        this.securityReorganize = securityReorganize;
    }

    public String getDataStatus() {
        return dataStatus;
    }

    public void setDataStatus(String dataStatus) {
        this.dataStatus = dataStatus;
    }

    public Date getUploadTime() {
        return uploadTime;
    }

    public void setUploadTime(Date uploadTime) {
        this.uploadTime = uploadTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getGyUnitId() {
        return gyUnitId;
    }

    public void setGyUnitId(String gyUnitId) {
        this.gyUnitId = gyUnitId;
    }

    public Long getNextVerifyDept() {
        return nextVerifyDept;
    }

    public void setNextVerifyDept(Long nextVerifyDept) {
        this.nextVerifyDept = nextVerifyDept;
    }

    public String getSendVerify() {
        return sendVerify;
    }

    public void setSendVerify(String sendVerify) {
        this.sendVerify = sendVerify;
    }

    public String getDeleteStatus() {
        return deleteStatus;
    }

    public void setDeleteStatus(String deleteStatus) {
        this.deleteStatus = deleteStatus;
    }

    public String getDataDesc() {
        return dataDesc;
    }

    public void setDataDesc(String dataDesc) {
        this.dataDesc = dataDesc;
    }

    public Long getRoleId() {
        return roleId;
    }

    public void setRoleId(Long roleId) {
        this.roleId = roleId;
    }
}
