var prefix = "/datas/dataVerify"
$(function () {
    //数据级别
    loadDataLevel();
    //初始化为空
    // $('#dataLevel').val('');
    load();
    //所属行业子类
    loadIndustry();
    //数据类别
    loadType();
    //省份
    loadProvince();

});

function loadDataLevel() {
    console.log("dataLevels:" + $('#dataLevels').val());
    if ($('#dataLevels').val() != '') {
        $('#dataLevel').val($('#dataLevels').val())
    }
}

function load() {

    $('#exampleTable')
        .bootstrapTable(
            {
                method: 'get', // 服务器数据的请求方式 get or post
                url: prefix + "/list", // 服务器数据的加载地址
                //	showRefresh : true,
                //	showToggle : true,
                //	showColumns : true,
                iconSize: 'outline',
                toolbar: '#exampleToolbar',
                striped: true, // 设置为true会有隔行变色效果
                dataType: "json", // 服务器返回的数据类型
                pagination: true, // 设置为true会在底部显示分页条
                // queryParamsType : "limit",
                // //设置为limit则会发送符合RESTFull格式的参数
                singleSelect: false, // 设置为true将禁止多选
                // contentType : "application/x-www-form-urlencoded",
                // //发送到服务器的数据编码类型
                pageSize: 10, // 如果设置了分页，每页数据条数
                pageNumber: 1, // 如果设置了分布，首页页码
                //search : true, // 是否显示搜索框
                showColumns: false, // 是否显示内容下拉框（选择显示的列）
                sidePagination: "server", // 设置在哪里进行分页，可选值为"client" 或者 "server"
                queryParams: function (params) {
                    return {
                        //说明：传入后台的参数包括offset开始索引，limit步长，sort排序列，order：desc或者,以及所有列的键值对
                        limit: params.limit,
                        offset: params.offset,
                        dataName: $('#dataName').val(),
                        dataIndustry: $('#dataIndustry').val(),
                        unitProvince: $('#unitProvince').val(),
                        reporterUnit: $('#reporterUnit').val(),
                        dataLevel: $('#dataLevel').val(),
                        dataStatus: '3',//已审批
                    };
                },
                onLoadSuccess: function () {
                    //鼠标悬停显示全部内容~
                    $('.bootstrap-table tr td').each(function () {
                        $(this).attr("title", $(this).text());
                        $(this).css("cursor", 'pointer');
                    });
                },
                // //请求服务器数据时，你可以通过重写参数的方式添加一些额外的参数，例如 toolbar 中的参数 如果
                // queryParamsType = 'limit' ,返回参数必须包含
                // limit, offset, search, sort, order 否则, 需要包含:
                // pageSize, pageNumber, searchText, sortName,
                // sortOrder.
                // 返回false将会终止请求
                columns: [
                    {
                        checkbox: true
                    },
                    {
                        field: 'no',
                        title: '序号',
                        align: "center",
                        width: 65,
                        formatter: function (value, row, index) {
                            //获取每页显示的数量
                            var pageSize = $('#exampleTable').bootstrapTable('getOptions').pageSize;
                            //获取当前是第几页
                            var pageNumber = $('#exampleTable').bootstrapTable('getOptions').pageNumber;
                            //返回序号，注意index是从0开始的，所以要加上1
                            return pageSize * (pageNumber - 1) + index + 1;
                        }
                    },
                    {
                        field: 'reporterUnit',
                        title: '数据处理者名称',
                        titleTooltip: "数据处理者名称",
                        cellStyle: formatTableUnit,
                        formatter: paramsMatter,
                    },
                    {
                        field: 'unitProvince',
                        title: '数据处理者地址',
                        titleTooltip: "数据处理者地址",
                        cellStyle: formatTableUnit,
                        formatter: paramsMatter,
                        formatter: function (value, row, index) {
                            return ' ' + row.unitProvince + '-' + row.unitCity + '-' + row.unitOther + '';
                        },
                    },
                    {
                        field: 'dataIndustry',
                        title: '所属行业子类',
                        titleTooltip: "所属行业子类",
                        cellStyle: formatTableUnit,
                        formatter: paramsMatter,
                        formatter: function (value, row, index) {
                            if (row.dataIndustry == null || row.dataIndustry == '') {
                                return '/';
                            }
                            return row.dataIndustry;
                        },
                    },
                    {
                        field: 'dataManager',
                        title: '管理部门',
                        titleTooltip: "管理部门",
                        cellStyle: formatTableUnit,
                        formatter: paramsMatter,
                        visible: false,
                    },
                    {
                        field: 'dataSource',
                        title: '数据来源',
                        titleTooltip: "数据来源",
                        cellStyle: formatTableUnit,
                        formatter: paramsMatter,
                    },
                    {
                        field: 'dataType',
                        title: '数据类别',
                        titleTooltip: "数据类别",
                        cellStyle: formatTableUnit,
                        formatter: paramsMatter,
                    },
                    {
                        field: 'dataName',
                        title: '数据名称',
                        titleTooltip: "数据名称",
                        cellStyle: formatTableUnit,
                        formatter: paramsMatter,
                    },
                    {
                        field: 'dataLevel',
                        title: '数据级别',
                        titleTooltip: "数据级别",
                        cellStyle: formatTableUnit,
                        formatter: paramsMatter,
                    },
                    // {
                    //     field: 'dataSub',
                    //     title: '数据子类'
                    // },
                    // {
                    //     field: 'dataAdjSub',
                    //     title: '二级子类'
                    // },
                    // {
                    //     field: 'dataScope',
                    //     title: '数据规模',
                    //     cellStyle: formatTableUnit,
                    //     formatter: paramsMatter,
                    // },
                    {
                        field: 'dataPrecision',
                        title: '数据精度',
                        titleTooltip: "数据精度",
                        cellStyle: formatTableUnit,
                        formatter: paramsMatter,
                        visible: false,
                    },
                    {
                        field: 'dataLocation',
                        title: '载体（存储位置）',
                        titleTooltip: "载体（存储位置）",
                        cellStyle: formatTableUnit,
                        formatter: paramsMatter,
                    },
                    {
                        field: 'dataResult',
                        title: '处理目的和方式',
                        titleTooltip: "处理目的和方式",
                        cellStyle: formatTableUnit,
                        formatter: paramsMatter,
                    },
                    {
                        field: 'dataRange',
                        title: '使用范围',
                        titleTooltip: "使用范围",
                        cellStyle: formatTableUnit,
                        formatter: paramsMatter,
                    },
                    {
                        // 1:市级 2:省级
                        field: 'auditStage',
                        title: '审核阶段',
                        titleTooltip: "审核阶段",
                        formatter: function (item, index) {
                            if (item == '1') {
                                return '<span class="label  label-primary">市级</span>';
                            } else if (item == '2') {
                                return '<span class="label  label-success">省级</span>';
                            }
                        },
                        width: 120,
                        align: "center",
                    },
                    {
                        // 0:正常 1:删除 2:已上报 3:通过审核 4:驳回
                        field: 'dataStatus',
                        title: '状态',
                        titleTooltip: "",
                        formatter: function (item, index) {
                            if (item == '2') {
                                return '<span class="label  label-primary">审核中</span>';
                            } else if (item == '3') {
                                return '<span class="label  label-success">通过审核</span>';
                            } else if (item == '4') {
                                return '<span class="label  label-danger">驳回</span>';
                            }
                        }
                    },
                    // 								{
                    // 	field : 'dataRuler',
                    // 	title : '负责人'
                    // },
                    // 								{
                    // 	field : 'shareRange',
                    // 	title : '对外共享'
                    // },
                    // 								{
                    // 	field : 'crossRange',
                    // 	title : '跨境传输'
                    // },
                    // 								{
                    // 	field : 'dataSafety',
                    // 	title : '安全保护措施'
                    // },
                    // 								{
                    // 	field : 'dataDesc',
                    // 	title : '备注'
                    // },
                    {
                        field: 'uploadTime',
                        title: '上传时间',
                        titleTooltip: "上传时间",
                        cellStyle: formatTableUnit,
                        formatter: paramsMatter,
                    },
                    {
                        title: '操作',
                        titleTooltip: "操作",
                        field: 'id',
                        align: 'center',
                        formatter: function (value, row, index) {
                            var e = '<a class="btn btn-primary btn-sm ' + s_edit_h + '" href="#" mce_href="#" title="详情" onclick="edit(\''
                                + row.id
                                + '\')"><i class="fa fa-book"></i></a> ';
                            var d = '<a class="btn btn-warning btn-sm ' + s_remove_h + '" href="#" title="删除"  mce_href="#" onclick="remove(\''
                                + row.id
                                + '\')"><i class="fa fa-remove"></i></a> ';
                            var f = '<a class="btn btn-success btn-sm ' + s_verify_h + '" href="#" title="审核"  mce_href="#" onclick="verify(\''
                                + row.id
                                + '\')"><i class="fa fa-envelope-o"></i></a> ';
                            var g = '<a class="btn btn-success btn-sm ' + s_rebut_h + '" href="#" title="驳回"  mce_href="#" onclick="rebut(\''
                                + row.id
                                + '\')"><i class="fa fa-reply"></i></a> ';
                            return e;
                        }
                    }]
            })
        /*table resize*/
        .colResizable({
            liveDrag: true,
            gripInnerHtml: "<div class='grip'></div>",
            draggingClass: "dragging",
            resizeMode: 'fit'
        });
}

function reLoad() {
    $('#exampleTable').bootstrapTable('refresh');
}

function edit(id) {
    layer.open({
        type: 2,
        title: '详情',
        maxmin: true,
        shadeClose: false, // 点击遮罩关闭层
        area: ['800px', '520px'],
        content: prefix + '/edit/' + id // iframe的url
    });
}

//数据类别
function loadType() {
    var html = "";
    var parentId = '1' //数据分类 根目录
    $.ajax({
        // url : '/common/dict/list/data_industry',
        url: '/datas/dataPart/list/' + parentId,
        success: function (data) {
            //加载数据
            for (var i = 0; i < data.length; i++) {
                // html += '<option value="' + data[i].value + '">' + data[i].name + '</option>'
                html += '<option value="' + data[i].partId + '">' + data[i].partName + '</option>'
            }
            if (html != '') {
                html += '<option value="other">其它</option>'
            }
            $(".chosen-selectType").append(html);
            $(".chosen-selectType").chosen({
                maxHeight: 200
            });
            //点击事件
            $('.chosen-selectType').on('change', function (e, params) {
                console.log(params.selected);
                var opt = {
                    query: {
                        type: params.selected,
                    }
                }
                // $('#exampleTable').bootstrapTable('refresh', opt);
            });
        }
    });
}

//所属行业子类
function loadIndustry() {
    var html = "";
    $.ajax({
        url: '/common/dict/list/data_industry',
        success: function (data) {
            //加载数据
            for (var i = 0; i < data.length; i++) {
                html += '<option value="' + data[i].value + '">' + data[i].name + '</option>'
            }
            $(".chosen-select").append(html);
            $(".chosen-select").chosen({
                maxHeight: 200
            });
            //点击事件
            $('.chosen-select').on('change', function (e, params) {
                console.log(params.selected);
                var opt = {
                    query: {
                        type: params.selected,
                    }
                }
                // $('#exampleTable').bootstrapTable('refresh', opt);
            });
        }
    });
}

function loadProvince() {
    var html = "";
    $.ajax({
        url: '/common/dict/list/data_province',
        success: function (data) {
            //加载数据
            for (var i = 0; i < data.length; i++) {
                html += '<option value="' + data[i].value + '">' + data[i].name + '</option>'
            }
            $(".chosen-select-pro").append(html);
            $(".chosen-select-pro").chosen({
                maxHeight: 200
            });
            //点击事件
            $('.chosen-select-pro').on('change', function (e, params) {
                console.log(params.selected);
                var opt = {
                    query: {
                        type: params.selected,
                    }
                }
                // $('#exampleTable').bootstrapTable('refresh', opt);
            });
        }
    });
}