var $parentNode = window.parent.document;

function $childNode(name) {
    return window.frames[name]
}

// tooltips
$('.tooltip-demo').tooltip({
    selector: "[data-toggle=tooltip]",
    container: "body"
});

// 使用animation.css修改Bootstrap Modal
$('.modal').appendTo("body");

$("[data-toggle=popover]").popover();

//折叠ibox
$('.collapse-link').click(function () {
    var ibox = $(this).closest('div.ibox');
    var button = $(this).find('i');
    var content = ibox.find('div.ibox-content');
    content.slideToggle(200);
    button.toggleClass('fa-chevron-up').toggleClass('fa-chevron-down');
    ibox.toggleClass('').toggleClass('border-bottom');
    setTimeout(function () {
        ibox.resize();
        ibox.find('[id^=map-]').resize();
    }, 50);
});

//关闭ibox
$('.close-link').click(function () {
    var content = $(this).closest('div.ibox');
    content.remove();
});

//判断当前页面是否在iframe中
//if (top == this) {
//    var gohome = '<div class="gohome"><a class="animated bounceInUp" href="index.html?v=4.0" title="返回首页"><i class="fa fa-home"></i></a></div>';
//    $('body').append(gohome);
//}

//animation.css
function animationHover(element, animation) {
    element = $(element);
    element.hover(
        function () {
            element.addClass('animated ' + animation);
        },
        function () {
            //动画完成之前移除class
            window.setTimeout(function () {
                element.removeClass('animated ' + animation);
            }, 2000);
        });
}

//拖动面板
function WinMove() {
    var element = "[class*=col]";
    var handle = ".ibox-title";
    var connect = "[class*=col]";
    $(element).sortable({
            handle: handle,
            connectWith: connect,
            tolerance: 'pointer',
            forcePlaceholderSize: true,
            opacity: 0.8,
        })
        .disableSelection();
};


//编辑器新增的ajax上传图片函数
function sendFile(files, editor, $editable) {
    var size = files[0].size;
    if((size / 1024 / 1024) > 2) {
        alert("图片大小不能超过2M...");
        return false;
    }
    console.log("size="+size);
    var formData = new FormData();
    formData.append("file", files[0]);
    $.ajax({
        data : formData,
        type : "POST",
        url : "/common/sysFile/upload",    // 图片上传出来的url，返回的是图片上传后的路径，http格式
        cache : false,
        contentType : false,
        processData : false,
        dataType : "json",
        success: function(data) {//data是返回的hash,key之类的值，key是定义的文件名
            $('.summernote').summernote('insertImage',data.fileName);
        },
        error:function(){
            alert("上传失败");
        }
    });
}

//表格超出宽度鼠标悬停显示td内容
function paramsMatter(value, row, index, field) {
    var span = document.createElement('span');
    span.setAttribute('title', value);
    span.innerHTML = value;
    return span.outerHTML;
}

//td宽度以及内容超过宽度隐藏
function formatTableUnit(value, row, index) {
    return {
        css: {
            "white-space": 'nowrap',
            "text-overflow": 'ellipsis',
            "overflow": 'hidden',
            // "max-width": '100px'
        }
    }
}

var commonData = [{
    field: 'dataName',
    title: '数据名称',
    titleTooltip: "数据名称",
    cellStyle: formatTableUnit,
    formatter: paramsMatter,
    width: 120,
    align: "center",
    },
    {
        field: 'dataTypeBase',
        title: '依据数据分类分级规范',
        titleTooltip: "依据数据分类分级规范",
        cellStyle: formatTableUnit,
        formatter: paramsMatter,
        width: 150,
        align: "center",
    },
    // {
    //     field: 'dataTypeRoot',
    //     title: '数据根类别',
    //     titleTooltip: "数据根类别",
    //     cellStyle: formatTableUnit,
    //     formatter: paramsMatter,
    //     width: 120,
    //     align: "center",
    // },
    {
        field: 'dataTypeOne',
        title: '数据一级类别',
        titleTooltip: "数据一级类别",
        cellStyle: formatTableUnit,
        formatter: paramsMatter,
        width: 120,
        align: "center",
    },
    {
        field: 'dataTypeTwo',
        title: '数据二级类别',
        titleTooltip: "数据二级类别",
        cellStyle: formatTableUnit,
        formatter: paramsMatter,
        width: 120,
        align: "center",
    },
    {
        field: 'dataTypeThree',
        title: '数据三级类别',
        titleTooltip: "数据三级类别",
        cellStyle: formatTableUnit,
        formatter: paramsMatter,
        visible: false,
        width: 120,
        align: "center",
    },
    {
        field: 'dataTypeFour',
        title: '数据四级类别',
        titleTooltip: "数据四级类别",
        cellStyle: formatTableUnit,
        formatter: paramsMatter,
        visible: false,
        width: 120,
        align: "center",
    },
    {
        field: 'dataLevel',
        title: '数据级别',
        titleTooltip: "数据级别",
        cellStyle: formatTableUnit,
        formatter: paramsMatter,
        width: 100,
        align: "center",
    },
    {
        field: 'dataCarrier',
        title: '数据载体',
        titleTooltip: "数据载体",
        cellStyle: formatTableUnit,
        formatter: paramsMatter,
        width: 100,
        align: "center",
    },
    {
        field: 'dataSource',
        title: '数据来源',
        titleTooltip: "数据来源",
        cellStyle: formatTableUnit,
        formatter: paramsMatter,
        width: 100,
        align: "center",
    },
    {
        field: 'dataNum',
        title: '数据数量（单位：条）',
        titleTooltip: "数据数量（单位：条）",
        cellStyle: formatTableUnit,
        formatter: paramsMatter,
        width: 120,
        align: "center",
    },
    {
        field: 'dataNumGb',
        title: '数据数量（单位：GB）',
        titleTooltip: "数据数量（单位：GB）",
        cellStyle: formatTableUnit,
        formatter: paramsMatter,
        width: 120,
        align: "center",
    },
    {
        field: 'dataScope',
        title: '覆盖类型',
        titleTooltip: "覆盖类型",
        cellStyle: formatTableUnit,
        formatter: paramsMatter,
        width: 120,
        align: "center",
    },
    {
        field: 'dataProportion',
        title: '覆盖占比',
        titleTooltip: "覆盖占比",
        cellStyle: formatTableUnit,
        formatter: paramsMatter,
        width: 120,
        align: "center",
    },
    {
        field: 'dataPrecision',
        title: '数据精度',
        titleTooltip: "数据精度",
        cellStyle: formatTableUnit,
        formatter: paramsMatter,
        visible: false,
        width: 120,
        align: "center",
    },
    {
        field: 'dataPrecisionDes',
        title: '详细描述',
        titleTooltip: "详细描述",
        cellStyle: formatTableUnit,
        formatter: paramsMatter,
        width: 120,
        align: "center",
    },
    {
        field: 'reporterUnit',
        title: '数据处理者名称',
        titleTooltip: "数据处理者名称",
        cellStyle: formatTableUnit,
        formatter: paramsMatter,
        width: 120,
        align: "center",
    },
    {
        field: 'creditCode',
        title: '机构代码',
        titleTooltip: "机构代码",
        cellStyle: formatTableUnit,
        formatter: paramsMatter,
        width: 120,
        align: "center",
    },
    {
        field: 'unitProvince',
        title: '数据处理者所在地（省）',
        titleTooltip: "数据处理者所在地（省）",
        cellStyle: formatTableUnit,
        formatter: paramsMatter,
        width: 120,
        align: "center",
    },
    {
        field: 'unitCity',
        title: '数据处理者所在地（市）',
        titleTooltip: "数据处理者所在地（市）",
        cellStyle: formatTableUnit,
        formatter: paramsMatter,
        width: 120,
        align: "center",
    },
    // {
    //     field: 'supervisoryOrg',
    //     title: '所属主管监管部门',
    //     titleTooltip: "所属主管监管部门",
    //     cellStyle: formatTableUnit,
    //     formatter: paramsMatter,
    //     width: 120,
    //     align: "center",
    // },
    {
        field: 'unitCharacter',
        title: '数据处理者性质',
        titleTooltip: "数据处理者性质",
        cellStyle: formatTableUnit,
        formatter: paramsMatter,
        width: 120,
        align: "center",
    },
    {
        field: 'industryTypeOne',
        title: '所属行业',
        titleTooltip: "所属行业",
        cellStyle: formatTableUnit,
        width: 120,
        align: "center",
    },
    {
        field: 'industryTypeTwo',
        title: '主营业务范围',
        titleTooltip: "主营业务范围",
        cellStyle: formatTableUnit,
        width: 120,
        align: "center",
    },
    // {
    //     field: 'unitMan',
    //     title: '组织负责人姓名',
    //     titleTooltip: "组织负责人姓名",
    //     cellStyle: formatTableUnit,
    //     formatter: paramsMatter,
    //     width: 120,
    //     align: "center",
    // },
    // {
    //     field: 'unitOffice',
    //     title: '组织负责人职务',
    //     titleTooltip: "组织负责人职务",
    //     cellStyle: formatTableUnit,
    //     formatter: paramsMatter,
    //     width: 120,
    //     align: "center",
    // },
    {
        field: 'dataSecurityMan',
        title: '数据安全负责人姓名',
        titleTooltip: "数据安全负责人姓名",
        cellStyle: formatTableUnit,
        formatter: paramsMatter,
        width: 120,
        align: "center",
    },
    // {
    //     field: 'dataSecurityId',
    //     title: '数据安全负责人身份证号',
    //     titleTooltip: "数据安全负责人身份证号",
    //     cellStyle: formatTableUnit,
    //     formatter: paramsMatter,
    // },
    {
        field: 'dataSecurityOffice',
        title: '数据安全负责人职务',
        titleTooltip: "数据安全负责人职务",
        cellStyle: formatTableUnit,
        formatter: paramsMatter,
        width: 120,
        align: "center",
    },
    {
        field: 'dataSecurityWay',
        title: '数据安全负责人联系方式',
        titleTooltip: "数据安全负责人联系方式",
        cellStyle: formatTableUnit,
        formatter: paramsMatter,
        width: 120,
        align: "center",
    },
    {
        field: 'dataHandleType',
        title: '数据处理活动方式',
        titleTooltip: "数据处理活动方式",
        cellStyle: formatTableUnit,
        formatter: paramsMatter,
        width: 120,
        align: "center",
    },
    {
        field: 'dataResult',
        title: '数据处理目的',
        titleTooltip: "数据处理目的",
        cellStyle: formatTableUnit,
        formatter: paramsMatter,
        width: 120,
        align: "center",
    },
    {
        field: 'isAlgorithmHandle',
        title: '是否涉及算法自动化处理',
        titleTooltip: "是否涉及算法自动化处理",
        cellStyle: formatTableUnit,
        formatter: paramsMatter,
        width: 120,
        align: "center",
    },
    {
        field: 'isCross',
        title: '是否出境',
        titleTooltip: "是否出境",
        cellStyle: formatTableUnit,
        formatter: paramsMatter,
        width: 120,
        align: "center",
    },
    {
        field: 'crossAcceptName',
        title: '数据出境接收方名称',
        titleTooltip: "数据出境接收方名称",
        cellStyle: formatTableUnit,
        formatter: paramsMatter,
        width: 120,
        align: "center",
    },
    // {
    //     field: 'dataCrossResult',
    //     title: '数据出境目的',
    //     titleTooltip: "数据出境目的",
    //     cellStyle: formatTableUnit,
    //     formatter: paramsMatter,
    //     visible: false,
    //     width: 120,
    //     align: "center",
    // },
    {
        field: 'dataCrossType',
        title: '数据出境方式',
        titleTooltip: "数据出境方式",
        cellStyle: formatTableUnit,
        formatter: paramsMatter,
        visible: false,
        width: 120,
        align: "center",
    },
    // {
    //     field: 'isCrossEncrypt',
    //     title: '数据出境加密情况',
    //     titleTooltip: "数据出境加密情况",
    //     cellStyle: formatTableUnit,
    //     formatter: paramsMatter,
    // },
    {
        field: 'isSecurityAss',
        title: '是否开展数据出境安全评估',
        titleTooltip: "是否开展数据出境安全评估",
        cellStyle: formatTableUnit,
        formatter: paramsMatter,
        width: 120,
        align: "center"
    },
    {
        field: 'assessResult',
        title: '数据出境安全评估结果',
        titleTooltip: "数据出境安全评估结果",
        cellStyle: formatTableUnit,
        formatter: paramsMatter,
        width: 120,
        align: "center",
        visible: false,
    },
    // {
    //     field: 'reorganize',
    //     title: '整改措施及整改情况',
    //     titleTooltip: "整改措施及整改情况",
    //     cellStyle: formatTableUnit,
    //     formatter: paramsMatter,
    // },
    // {
    //     field: 'isApproval',
    //     title: '是否经网信部门审批',
    //     titleTooltip: "是否经网信部门审批",
    //     cellStyle: formatTableUnit,
    //     formatter: paramsMatter,
    // },
    {
        field: 'isCrossMain',
        title: '是否对外共享',
        titleTooltip: "是否对外共享",
        cellStyle: formatTableUnit,
        formatter: paramsMatter,
        width: 120,
        align: "center",
    },
    {
        field: 'crossmainAcceptName',
        title: '数据对外共享接收方名称',
        titleTooltip: "数据对外共享接收方名称",
        cellStyle: formatTableUnit,
        formatter: paramsMatter,
        width: 120,
        align: "center"
    },
    // {
    //     field: 'dataCrossmainResult',
    //     title: '数据对外共享目的',
    //     titleTooltip: "数据对外共享目的",
    //     cellStyle: formatTableUnit,
    //     formatter: paramsMatter,
    //     width: 120,
    //     align: "center",
    //     visible: false,
    // },
    {
        field: 'dataCrossmainType',
        title: '数据对外共享方式',
        titleTooltip: "数据对外共享方式",
        cellStyle: formatTableUnit,
        formatter: paramsMatter,
        width: 120,
        align: "center",
        visible: false,
    },
    {
        field: 'isCrossmainFlow',
        title: '是否涉及跨主体流动',
        titleTooltip: "是否涉及跨主体流动",
        cellStyle: formatTableUnit,
        formatter: paramsMatter,
        width: 120
    },
    {
        field: 'isForeignData',
        title: '是否为涉外数据',
        titleTooltip: "是否为涉外数据",
        cellStyle: formatTableUnit,
        formatter: paramsMatter,
        width: 120
    },
    // {
    //     field: 'crossmainNum',
    //     title: '过去一年跨主体流动数量（单位：GB）',
    //     titleTooltip: "过去一年跨主体流动数量（单位：GB）",
    //     cellStyle: formatTableUnit,
    //     formatter: paramsMatter,
    //     visible: false,
    // },
    {
        field: 'infoSystemName',
        title: '信息系统名称',
        titleTooltip: "信息系统名称",
        cellStyle: formatTableUnit,
        formatter: paramsMatter,
        width: 120,
        align: "center",
    },
    // {
    //     field: 'infoSystemDes',
    //     title: '信息系统主要功能描述',
    //     titleTooltip: "信息系统主要功能描述",
    //     cellStyle: formatTableUnit,
    //     formatter: paramsMatter,
    // },
    {
        field: 'infoSystemType',
        title: '信息系统类型',
        titleTooltip: "信息系统类型",
        cellStyle: formatTableUnit,
        formatter: paramsMatter,
        width: 120,
        align: "center",
        visible: false,
    },
    // {
    //     field: 'infoSystemEncrypt',
    //     title: '数据加密存储情况',
    //     titleTooltip: "数据加密存储情况",
    //     cellStyle: formatTableUnit,
    //     formatter: paramsMatter,
    //     visible: false,
    // },
    {
        field: 'infoSystemIpAddress',
        title: '信息系统IP地址',
        titleTooltip: "信息系统IP地址",
        cellStyle: formatTableUnit,
        formatter: function (value, row, index) {
            if (row.infoSystemIpAddress==null || row.infoSystemIpAddress=="") {
                return '/';
            } else {
                return row.infoSystemIpAddress;
            }
        },
        width: 120,
        align: "center",
        visible: false,
    },
    {
        field: 'infoSystemDomainName',
        title: '信息系统域名',
        titleTooltip: "信息系统域名",
        cellStyle: formatTableUnit,
        formatter: function (value, row, index) {
            if (row.infoSystemDomainName==null || row.infoSystemDomainName=="") {
                return '/';
            } else{
                return row.infoSystemDomainName;
            }
        },
        width: 120,
        align: "center",
        visible: false,
    },
    {
        field: 'securityCognizance',
        title: '网络安全等级保护认定情况',
        titleTooltip: "网络安全等级保护认定情况",
        cellStyle: formatTableUnit,
        formatter: paramsMatter,
        width: 120,
        align: "center",
    },
    {
        field: 'comSecurityCognizance',
        title: '通信网络安全防护定级备案情况',
        titleTooltip: "通信网络安全防护定级备案情况",
        cellStyle: formatTableUnit,
        formatter: paramsMatter,
        width: 120,
        align: "center",
    },
    {
        field: 'isKetSystem',
        title: '是否为关键信息基础设施',
        titleTooltip: "是否为关键信息基础设施",
        cellStyle: formatTableUnit,
        formatter: paramsMatter,
        width: 120,
        align: "center",
    },
    {
        field: 'isKeydataAss',
        title: '是否开展重要数据安全风险评估',
        titleTooltip: "是否开展重要数据安全风险评估",
        cellStyle: formatTableUnit,
        formatter: paramsMatter,
        width: 120,
        align: "center",
    },
    {
        field: 'assessOrg',
        title: '评估机构',
        titleTooltip: "评估机构",
        cellStyle: formatTableUnit,
        formatter: paramsMatter,
        visible: false,
        width: 120,
        align: "center",
    },
    {
        field: 'assessBase',
        title: '评估依据的规范',
        titleTooltip: "评估依据的规范",
        cellStyle: formatTableUnit,
        formatter: paramsMatter,
        visible: false,
        width: 120,
        align: "center",
    },
    {
        field: 'assessTime',
        title: '评估时间',
        titleTooltip: "评估时间",
        cellStyle: formatTableUnit,
        formatter: paramsMatter,
        visible: false,
        width: 120,
        align: "center",
    },
    {
        field: 'dataAssessResult',
        title: '评估结论',
        titleTooltip: "评估结论",
        cellStyle: formatTableUnit,
        formatter: paramsMatter,
        visible: false,
        width: 120,
        align: "center",
    },
    // {
    //     field: 'securityReorganize',
    //     title: '整改措施及整改情况',
    //     titleTooltip: "整改措施及整改情况",
    //     cellStyle: formatTableUnit,
    //     formatter: paramsMatter,
    // },
    {
        field: 'dataDesc',
        title: '备注',
        titleTooltip: "备注",
        cellStyle: formatTableUnit,
        formatter: paramsMatter,
        visible: false,
        width: 120,
        align: "center",
    }];

